import request from '@/utils/request'

// 查询工厂管理列表
export function listFactory(query) {
  return request({
    url: '/base/factory/list',
    method: 'get',
    params: query
  })
}

// 查询工厂下拉框列表
export function findFactoryList(query) {
  return request({
    url: '/base/factory/findFactoryList',
    method: 'get',
    params: query
  })
}

// 查询工厂管理详细
export function getFactory(objId) {
  return request({
    url: '/base/factory/' + objId,
    method: 'get'
  })
}

// 新增工厂管理
export function addFactory(data) {
  return request({
    url: '/base/factory',
    method: 'post',
    data: data
  })
}

// 修改工厂管理
export function updateFactory(data) {
  return request({
    url: '/base/factory',
    method: 'put',
    data: data
  })
}

// 删除工厂管理
export function delFactory(objId) {
  return request({
    url: '/base/factory/' + objId,
    method: 'delete'
  })
}
